curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/styleGuides \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/styleGuides"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/styleGuides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"associationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"disabled": true,
"language": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"styleGuide": {
"contentProfileId": "<string>",
"description": "<string>",
"id": "<string>",
"language": "<string>",
"name": "<string>",
"versionNumber": 123
}
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
}Get style guides for project
Returns the style guides associated with the project per target locale. Resolved either from directly assigned style guide associations, or — when the project is linked to a content group — from the content group’s style guides. Associations resolved from the content group, and associations shared from another organization, are both returned with disabled: true; this only means the association can’t be edited through this endpoint, not that it doesn’t apply — the style guide still applies to the project.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Query Parameters
When true, excludes style guides shared from a vendor organization
Content group id to resolve style guides for; used to preview style guides for a not-yet-linked content group. When omitted or blank, the project's currently linked content group (if any) is resolved automatically.
Was this page helpful?